Name:           libtsm
Version:        3
Release:        4%{?dist}
Summary:        Terminal-emulator State Machine
License:        MIT
URL:            http://freedesktop.org/wiki/Software/kmscon/libtsm/
Source0:        http://freedesktop.org/software/kmscon/releases/%{name}-%{version}.tar.xz
BuildRequires:  libxkbcommon-devel

%description
TSM is a state machine for DEC VT100-VT520 compatible terminal emulators. 
It tries to support all common standards while keeping compatibility to 
existing emulators like xterm, gnome-terminal, konsole...

TSM itself does not provide any rendering nor window management. It is a 
simple plain state machine without any external dependencies. It can be 
used to implement terminal emulators, but also to implement other applications
that need to interpret terminal escape sequences.

This library is very similar to libvte of the gnome project. However, 
libvte is highly bound to GTK+, which makes it unsuitable for non-graphics 
projects that need to parse escape sequences. Instead, TSM tries to restrict 
its API to terminal emulation only. Furthermore, TSM does not try to 
establish a new terminal emulation standard, but instead keeps compatibility 
as close to xterm as possible. This is why the TERM variable can be set to 
xterm-color256 with any TSM based terminal emulator.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.*a' -delete -print

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_libdir}/libtsm.so.*

%files devel
%{_includedir}/libtsm.h
%{_libdir}/libtsm.so
%{_libdir}/pkgconfig/libtsm.pc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 01 2013 Christopher Meng <rpm@cicku.me> - 3-1
- Initial Package.
